Debian Bug report logs - #705205
libvirt-bin: Memory leak in virStorageBackendLogicalMakeVol

version graph

Package: libvirt-bin; Maintainer for libvirt-bin is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for libvirt-bin is src:libvirt.

Reported by: Luca Tettamanti <ltettamanti@acunu.com>

Date: Thu, 11 Apr 2013 09:45:02 UTC

Severity: important

Tags: patch

Found in version libvirt/0.9.12-11

Fixed in versions libvirt/1.0.5-3, libvirt/0.9.12-11+deb7u1

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#705205; Package libvirt-bin. (Thu, 11 Apr 2013 09:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Tettamanti <ltettamanti@acunu.com>:
New Bug report received and forwarded. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 11 Apr 2013 09:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Tettamanti <ltettamanti@acunu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libvirt-bin: Memory leak in virStorageBackendLogicalMakeVol
Date: Thu, 11 Apr 2013 10:42:24 +0100
Package: libvirt-bin
Version: 0.9.12-11
Severity: important
Tags: patch

Hello,
In our workload we use LVM for VM storage and continuously create and destroy instances.
We noticed that over time libvirtd memory usage grows until libvirt
cannot fork anymore (to spawn LVM tools):

virFork:279 : cannot fork child process: Cannot allocate memory

libvirtd won't crash (yet), but it will eventually mark all the storage
pools as offline.

I've tracked down the issue to a memory leak in
virStorageBackendLogicalMakeVol (creating a volume triggers a refresh of
the pool):

50,229,128 (820,736 direct, 49,408,392 indirect) bytes in 3,664 blocks are definitely lost in loss record 883 of 883
   at 0x4C28BED: malloc (vg_replace_malloc.c:263)
   by 0x4C28D6F: realloc (vg_replace_malloc.c:632)
   by 0x805ADF3: re_compile_internal (regcomp.c:760)
   by 0x805B1AB: regcomp (regcomp.c:506)
   by 0x4D13CD: virStorageBackendLogicalMakeVol (storage_backend_logical.c:203)
   by 0x4CE09B: virStorageBackendRunProgRegex (storage_backend.c:1512)
   by 0x4D0A8E: virStorageBackendLogicalFindLVs (storage_backend_logical.c:306)
   by 0x4D1971: virStorageBackendLogicalRefreshPool (storage_backend_logical.c:591)
   by 0x4C9596: storagePoolRefresh (storage_driver.c:904)
   by 0x511CE44: virStoragePoolRefresh (libvirt.c:12116)
   by 0x436687: remoteDispatchStoragePoolRefreshHelper (remote_dispatch.h:11759)
   by 0x515B7FF: virNetServerProgramDispatch (virnetserverprogram.c:423)

This bug has already been fixed upstream with commit 71da3b66 (which
also reverts afc4631b). This fix is already included in the experimental
package, but since it's self-contained and minimally intrusive I suggest
to backport it for Wheezy (and squeeze-backports?).
Patch is attached.

Luca

-- System Information:
Debian Release: 7.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libvirt-bin depends on:
ii  adduser             3.113+nmu3
ii  gettext-base        0.18.1.1-9
ii  libavahi-client3    0.6.31-2
ii  libavahi-common3    0.6.31-2
ii  libblkid1           2.20.1-5.3
ii  libc6               2.13-38
ii  libcap-ng0          0.6.6-2
ii  libdbus-1-3         1.6.8-1
ii  libdevmapper1.02.1  2:1.02.74-7
ii  libgcrypt11         1.5.0-5
ii  libgnutls26         2.12.20-4
ii  libnetcf1           0.1.9-2
ii  libnl1              1.1-7
ii  libnuma1            2.0.8~rc4-1
ii  libparted0debian1   2.3-12
ii  libpcap0.8          1.3.0-1
ii  libpciaccess0       0.13.1-2
ii  libreadline6        6.2+dfsg-0.1
ii  libsasl2-2          2.1.25.dfsg1-6
ii  libudev0            175-7.1
ii  libvirt0            0.9.12-11
ii  libxenstore3.0      4.1.4-2
ii  libxml2             2.8.0+dfsg1-7+nmu1
ii  libyajl2            2.0.4-2
ii  logrotate           3.8.1-4

Versions of packages libvirt-bin recommends:
ii  bridge-utils    1.5-6
ii  dmidecode       2.11-9
ii  dnsmasq-base    2.62-3+deb7u1
ii  ebtables        2.0.10.4-1
ii  gawk            1:4.0.1+dfsg-2.1
ii  iproute         20120521-3+b3
ii  iptables        1.4.14-3.1
ii  libxml2-utils   2.8.0+dfsg1-7+nmu1
ii  netcat-openbsd  1.105-7
ii  parted          2.3-12
ii  qemu            1.1.2+dfsg-6a
ii  qemu-kvm        1.1.2+dfsg-6

Versions of packages libvirt-bin suggests:
ii  policykit-1  0.105-3
ii  radvd        1:1.8.5-1

-- Configuration Files:
/etc/default/libvirt-bin changed [not included]
/etc/init.d/libvirt-bin changed [not included]

-- no debconf information

*** /tmp/fix-leak.diff
diff -Nru libvirt-0.9.12/debian/changelog libvirt-0.9.12/debian/changelog
--- libvirt-0.9.12/debian/changelog	2013-03-06 11:27:13.000000000 +0000
+++ libvirt-0.9.12/debian/changelog	2013-04-11 09:53:13.000000000 +0100
@@ -1,3 +1,10 @@
+libvirt (0.9.12-11.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * Backport upstream 71da3b66 (fix leak in virStorageBackendLogicalMakeVol)
+
+ -- Luca Tettamanti <ltettamanti@acunu.com>  Thu, 11 Apr 2013 09:53:03 +0100
+
 libvirt (0.9.12-11) unstable; urgency=low
 
   * [422c506] Use "getent passwd" instead of the non existing "getent user"
diff -Nru libvirt-0.9.12/debian/patches/fix-leak-virStorageBackendLogicalMakeVol.patch libvirt-0.9.12/debian/patches/fix-leak-virStorageBackendLogicalMakeVol.patch
--- libvirt-0.9.12/debian/patches/fix-leak-virStorageBackendLogicalMakeVol.patch	1970-01-01 01:00:00.000000000 +0100
+++ libvirt-0.9.12/debian/patches/fix-leak-virStorageBackendLogicalMakeVol.patch	2013-04-11 09:55:16.000000000 +0100
@@ -0,0 +1,22 @@
+Index: libvirt-0.9.12/src/storage/storage_backend_logical.c
+===================================================================
+--- libvirt-0.9.12.orig/src/storage/storage_backend_logical.c	2012-04-18 06:07:44.000000000 +0100
++++ libvirt-0.9.12/src/storage/storage_backend_logical.c	2013-04-11 09:55:12.054035440 +0100
+@@ -204,13 +204,16 @@
+     if (err != 0) {
+         char error[100];
+         regerror(err, reg, error, sizeof(error));
++        regfree(reg);
+         virStorageReportError(VIR_ERR_INTERNAL_ERROR,
+                               _("Failed to compile regex %s"),
+                               error);
+         goto cleanup;
+     }
+ 
+-    if (regexec(reg, groups[3], nvars, vars, 0) != 0) {
++    err = regexec(reg, groups[3], nvars, vars, 0);
++    regfree(reg);
++    if (err != 0) {
+         virStorageReportError(VIR_ERR_INTERNAL_ERROR, "%s",
+                               _("malformed volume extent devices value"));
+         goto cleanup;
diff -Nru libvirt-0.9.12/debian/patches/series libvirt-0.9.12/debian/patches/series
--- libvirt-0.9.12/debian/patches/series	2013-03-06 07:24:52.000000000 +0000
+++ libvirt-0.9.12/debian/patches/series	2013-04-11 09:53:38.000000000 +0100
@@ -18,3 +18,4 @@
 qemu-Fix-off-by-one-error-while-unescaping-monitor-s.patch
 rpc-Fix-crash-on-error-paths-of-message-dispatching.patch
 qemu-Add-support-for-no-user-config.patch
+fix-leak-virStorageBackendLogicalMakeVol.patch



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#705205; Package libvirt-bin. (Thu, 25 Apr 2013 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 25 Apr 2013 19:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 705205@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Luca Tettamanti <ltettamanti@acunu.com>, 705205@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#705205: libvirt-bin: Memory leak in virStorageBackendLogicalMakeVol
Date: Thu, 25 Apr 2013 21:46:51 +0200
tag 705205 +pending
thanks

Hi Luca,
On Thu, Apr 11, 2013 at 10:42:24AM +0100, Luca Tettamanti wrote:
> Package: libvirt-bin
> Version: 0.9.12-11
> Severity: important
> Tags: patch
> 
> Hello,
> In our workload we use LVM for VM storage and continuously create and destroy instances.
> We noticed that over time libvirtd memory usage grows until libvirt
> cannot fork anymore (to spawn LVM tools):
> 
> virFork:279 : cannot fork child process: Cannot allocate memory
> 
> libvirtd won't crash (yet), but it will eventually mark all the storage
> pools as offline.
> 
> I've tracked down the issue to a memory leak in
> virStorageBackendLogicalMakeVol (creating a volume triggers a refresh of
> the pool):
> 
> 50,229,128 (820,736 direct, 49,408,392 indirect) bytes in 3,664 blocks are definitely lost in loss record 883 of 883
>    at 0x4C28BED: malloc (vg_replace_malloc.c:263)
>    by 0x4C28D6F: realloc (vg_replace_malloc.c:632)
>    by 0x805ADF3: re_compile_internal (regcomp.c:760)
>    by 0x805B1AB: regcomp (regcomp.c:506)
>    by 0x4D13CD: virStorageBackendLogicalMakeVol (storage_backend_logical.c:203)
>    by 0x4CE09B: virStorageBackendRunProgRegex (storage_backend.c:1512)
>    by 0x4D0A8E: virStorageBackendLogicalFindLVs (storage_backend_logical.c:306)
>    by 0x4D1971: virStorageBackendLogicalRefreshPool (storage_backend_logical.c:591)
>    by 0x4C9596: storagePoolRefresh (storage_driver.c:904)
>    by 0x511CE44: virStoragePoolRefresh (libvirt.c:12116)
>    by 0x436687: remoteDispatchStoragePoolRefreshHelper (remote_dispatch.h:11759)
>    by 0x515B7FF: virNetServerProgramDispatch (virnetserverprogram.c:423)
> 
> This bug has already been fixed upstream with commit 71da3b66 (which
> also reverts afc4631b). This fix is already included in the experimental
> package, but since it's self-contained and minimally intrusive I suggest
> to backport it for Wheezy (and squeeze-backports?).
> Patch is attached.

Thanks for tracking this down! I've pushed this to our wheezy branch and
will hopefully get this into R1.
Cheers,
 -- Guido



Added tag(s) pending. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Thu, 25 Apr 2013 19:51:07 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Wed, 29 May 2013 11:06:17 GMT) Full text and rfc822 format available.

Notification sent to Luca Tettamanti <ltettamanti@acunu.com>:
Bug acknowledged by developer. (Wed, 29 May 2013 11:06:17 GMT) Full text and rfc822 format available.

Message #17 received at 705205-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 705205-close@bugs.debian.org
Subject: Bug#705205: fixed in libvirt 1.0.5-3
Date: Wed, 29 May 2013 11:04:37 +0000
Source: libvirt
Source-Version: 1.0.5-3

We believe that the bug you reported is fixed in the latest version of
libvirt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated libvirt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 May 2013 11:10:18 +0200
Source: libvirt
Binary: libvirt-bin libvirt0 libvirt0-dbg libvirt-doc libvirt-dev python-libvirt libvirt-sanlock
Architecture: source all i386
Version: 1.0.5-3
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 libvirt-bin - programs for the libvirt library
 libvirt-dev - development files for the libvirt library
 libvirt-doc - documentation for the libvirt library
 libvirt-sanlock - library for interfacing with different virtualization systems
 libvirt0   - library for interfacing with different virtualization systems
 libvirt0-dbg - library for interfacing with different virtualization systems
 python-libvirt - libvirt Python bindings
Closes: 705205 708647 709216
Changes: 
 libvirt (1.0.5-3) unstable; urgency=low
 .
   * Upload to unstable (Closes: #709216, #705205)
   * [037b674] daemon: fix leak after listing all volumes.
     Thanks to Ján Tomko (Closes: #708647)
Checksums-Sha1: 
 f4856d3cf0921e123ff3a941784d645972534675 2529 libvirt_1.0.5-3.dsc
 d0bce6f1eb1d793c425f4ddd4ba233dc3dcff6b5 41642 libvirt_1.0.5-3.debian.tar.gz
 e5845dafa0d2bfd8ec2c16d94a6e20fbe7d1d66d 2860010 libvirt-doc_1.0.5-3_all.deb
 9cb42d86084b45f114f34635fa62265801cc9524 3846198 libvirt-bin_1.0.5-3_i386.deb
 20a34893a6d9bc7dc015ee67fae66fd3b08979b2 2684238 libvirt0_1.0.5-3_i386.deb
 795907d9ac31034810d454aeeb747da11c493e7e 10555880 libvirt0-dbg_1.0.5-3_i386.deb
 05d132bc3e4aa9bcc3e7aa16f3f981a1df33aef1 1658108 libvirt-dev_1.0.5-3_i386.deb
 b8dee063a77f1a845ab7214258b900a8cc80986e 1825384 python-libvirt_1.0.5-3_i386.deb
 28211c34cd14d43ec71ca71e8958cacbc070cd00 1654488 libvirt-sanlock_1.0.5-3_i386.deb
Checksums-Sha256: 
 29996a4d39b8c3104dea4574db332ba590f58303f1ec4f2709fc0d2bbfd398ed 2529 libvirt_1.0.5-3.dsc
 f31e29513159bca44e3c7096a42537f7ba15839e146bd0d0a82be82891bed8d9 41642 libvirt_1.0.5-3.debian.tar.gz
 2a8b9e9545834157bcf83eaa18b412feac9159145a0225b1affc0afdb6cc0c0e 2860010 libvirt-doc_1.0.5-3_all.deb
 bb85fd27551831630db404349db6d698426f2ae9a3caf567803830a8e4906e22 3846198 libvirt-bin_1.0.5-3_i386.deb
 bb77119310aaa8c8d1ab8b083767203982d5e7750033a79f24e841e0b4c09c3e 2684238 libvirt0_1.0.5-3_i386.deb
 3a0fac29916505fb3e34a3a069254185f7aa2d3bda66f9ec124ca16c6bc15c6c 10555880 libvirt0-dbg_1.0.5-3_i386.deb
 58266f343861eefe3c20737fb2b5a41792e3e4564b50172eddce68d7126b0eae 1658108 libvirt-dev_1.0.5-3_i386.deb
 e2173fd43a62c9a72dbda7ef24f5cc76fd7e0cf4ae09102c12c7e2d9c830f804 1825384 python-libvirt_1.0.5-3_i386.deb
 e40c67ae324a3212cd389083a59596426a6b0c5ef81170b28633786dcd454a50 1654488 libvirt-sanlock_1.0.5-3_i386.deb
Files: 
 f78f821e0b9deebe5587e73be5f17137 2529 libs optional libvirt_1.0.5-3.dsc
 d5a7fc339a644ecd64683630d9ffe517 41642 libs optional libvirt_1.0.5-3.debian.tar.gz
 61367726f1387a4fd416393507ab7527 2860010 doc optional libvirt-doc_1.0.5-3_all.deb
 325c4329cbab88fba0317abf9651b98d 3846198 admin optional libvirt-bin_1.0.5-3_i386.deb
 5537ad9972ac636fd9dbc93cc92519dc 2684238 libs optional libvirt0_1.0.5-3_i386.deb
 b5d72ea59750afe48cdb66db4afe7812 10555880 debug extra libvirt0-dbg_1.0.5-3_i386.deb
 3f995d4579fc371430b5f96b978e765a 1658108 libdevel optional libvirt-dev_1.0.5-3_i386.deb
 5b7f01049a6a9b7abf8bc61f08d83e4e 1825384 python optional python-libvirt_1.0.5-3_i386.deb
 78a7b98a4dc13066f2ddff716ac35872 1654488 libs extra libvirt-sanlock_1.0.5-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRpd78n88szT8+ZCYRAt/xAJsEgkkdPF2l9eNBIEKnx7fjvMza/QCfXNQK
RGFfl+G9p7wtmlvDxBAnurU=
=VvJc
-----END PGP SIGNATURE-----




Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Thu, 30 May 2013 13:48:39 GMT) Full text and rfc822 format available.

Notification sent to Luca Tettamanti <ltettamanti@acunu.com>:
Bug acknowledged by developer. (Thu, 30 May 2013 13:48:40 GMT) Full text and rfc822 format available.

Message #22 received at 705205-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 705205-close@bugs.debian.org
Subject: Bug#705205: fixed in libvirt 0.9.12-11+deb7u1
Date: Thu, 30 May 2013 13:47:06 +0000
Source: libvirt
Source-Version: 0.9.12-11+deb7u1

We believe that the bug you reported is fixed in the latest version of
libvirt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated libvirt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 May 2013 13:42:44 +0200
Source: libvirt
Binary: libvirt-bin libvirt0 libvirt0-dbg libvirt-doc libvirt-dev python-libvirt
Architecture: source all i386
Version: 0.9.12-11+deb7u1
Distribution: wheezy-proposed-updates
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 libvirt-bin - programs for the libvirt library
 libvirt-dev - development files for the libvirt library
 libvirt-doc - documentation for the libvirt library
 libvirt0   - library for interfacing with different virtualization systems
 libvirt0-dbg - library for interfacing with different virtualization systems
 python-libvirt - libvirt Python bindings
Closes: 685749 705205
Changes: 
 libvirt (0.9.12-11+deb7u1) wheezy-proposed-updates; urgency=low
 .
   [ Guido Günther ]
   * [af660e5] Allow xen toolstack to find it's binaries.
     Thanks to George Dunlap for the patch. (Closes: #685749)
 .
   [ Luca Tettamanti ]
   * [90d8287] Fix leak in virStorageBackendLogicalMakeVol
     (Closes: #705205)
Checksums-Sha1: 
 92f5fd7e70d3abe21c0f0eff1fec5c28e50952b6 2308 libvirt_0.9.12-11+deb7u1.dsc
 83a780efa12ca459215f709f184cceb1516cd844 50792 libvirt_0.9.12-11+deb7u1.debian.tar.gz
 9283d0591a5d69fa370099d8f577b9b9daf393e5 2174860 libvirt-doc_0.9.12-11+deb7u1_all.deb
 326ce4fb99837abc0f6b34c9959dd286f3969940 2335112 libvirt-bin_0.9.12-11+deb7u1_i386.deb
 dc567466edc9bf71a78535394d1e07751a32b79d 2122050 libvirt0_0.9.12-11+deb7u1_i386.deb
 2af81136193e2dc35329d6e2ff02fe75434a8f28 7471862 libvirt0-dbg_0.9.12-11+deb7u1_i386.deb
 adc27bb1cc055eb8b37801be19c79858af629b85 2504390 libvirt-dev_0.9.12-11+deb7u1_i386.deb
 80cd39a7abf7782f5ee8b6c4a18bef688079e07b 1420890 python-libvirt_0.9.12-11+deb7u1_i386.deb
Checksums-Sha256: 
 31877f3da82a3efb353d2b455e0e133c60765c408a51c3e265f92fb3acefcda8 2308 libvirt_0.9.12-11+deb7u1.dsc
 11b570e93170eac771c513b6f01f2b2d9292692ff314e4d5e2d4e216c43c5751 50792 libvirt_0.9.12-11+deb7u1.debian.tar.gz
 d2b6ec84fa0823f737a0bd4220e2468817ad08090b03be8b07407e8d9a6bb466 2174860 libvirt-doc_0.9.12-11+deb7u1_all.deb
 fa65646a268a915faa679e13d713390fced2a63cf1bce931e881577ae1fb8b2c 2335112 libvirt-bin_0.9.12-11+deb7u1_i386.deb
 a26ae1cc13cc0dcb6542f0355efb3da4e408a66281808669ae11fe6d0dcd40f5 2122050 libvirt0_0.9.12-11+deb7u1_i386.deb
 aa92c2e134eb279ba0cfe7034ff826be8fa4d9718ebaec73040f64638541a014 7471862 libvirt0-dbg_0.9.12-11+deb7u1_i386.deb
 77f0e76d185a40191c4a66984d68fec203bb2f0189f0b0493837110ed325cc5a 2504390 libvirt-dev_0.9.12-11+deb7u1_i386.deb
 027ee6ffd8ab543071535bee7e4492b2b74f03e4ed1fab824e63e4b62a521c57 1420890 python-libvirt_0.9.12-11+deb7u1_i386.deb
Files: 
 5f9190d1a6610b4bfd30519f1601fd7c 2308 libs optional libvirt_0.9.12-11+deb7u1.dsc
 808119774c446398c2dece3a13213007 50792 libs optional libvirt_0.9.12-11+deb7u1.debian.tar.gz
 04e4918074e4e455dd87c15181267fe5 2174860 doc optional libvirt-doc_0.9.12-11+deb7u1_all.deb
 4847f7eb843487018f5973d40e7c1b91 2335112 admin optional libvirt-bin_0.9.12-11+deb7u1_i386.deb
 f0d2aec8242b8ebee90e469f9ff2b021 2122050 libs optional libvirt0_0.9.12-11+deb7u1_i386.deb
 84ec28ac5fd2ca555e6c7569ebd31a0f 7471862 debug extra libvirt0-dbg_0.9.12-11+deb7u1_i386.deb
 6250abd9a5c3e9d30ed0c4f8d85a75ba 2504390 libdevel optional libvirt-dev_0.9.12-11+deb7u1_i386.deb
 47858ad52f24be10d78ccc6d4ce734d5 1420890 python optional python-libvirt_0.9.12-11+deb7u1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRpy+9n88szT8+ZCYRAsfzAJ9Og0IQAUr+qQ9Sc6ornK63asE9qgCfXbcs
Q973umpXwqw14RFenNt6UGg=
=QdSb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Jul 2013 07:25:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:25:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.